org.apache.felix.ipojo.util

## Interface DependencyStateListener

All Known Subinterfaces:
  DependencyModelListener

All Known Implementing Classes:
  DependencyHandler

    public interface DependencyStateListener

This interface allows a class to be notified of service dependency state changes.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `invalidate(DependencyModel dependency)` The given dependency becomes invalid.
`void` `validate(DependencyModel dependency)` The given dependency becomes valid.

### Method Detail

#### validate

    void validate(DependencyModel dependency)

The given dependency becomes valid.

Parameters:
  `dependency` - the dependency becoming valid.

#### invalidate

    void invalidate(DependencyModel dependency)

The given dependency becomes invalid.

Parameters:
  `dependency` - the dependency becoming invalid.